# $Revision: 1.16 $, $Date: 2005/10/14 20:44:28 $
#
# TODO:
#	- separate subpackages with: xmaxima, doc, src, (emacs?)
Summary:	Maxima Symbolic Computation Program
Summary(pl):	Program do oblicze symbolicznych Maxima
Name:		maxima
Version:	5.9.1
Release:	4
Epoch:		1
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/maxima/%{name}-%{version}.zip
# Source0-md5:	7e993cd7867a4ae26e558d1fd2d87bfa
Source1:	x%{name}.desktop
Patch0:		%{name}-info.patch
URL:		http://maxima.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	clisp
BuildRequires:	texinfo
# for .zip source
BuildRequires:	unzip
%requires_eq	clisp
Requires:	gnuplot
Requires:	tk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Maxima is a full symbolic computation program. It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats. It has a
symbolic debugger source level debugger for maxima code. Maxima is
based on the original Macsyma developed at MIT in the 1970's. It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests. William Schelter at University
of Texas, has been responsible for development since the mid 1980's.
See http://www.ma.utexas.edu/maxima.html for more information. He has
recently been able to get DOE to allow him to distribute Maxima under
the GPL.

%description -l pl
Maxima jest pakietem do penych oblicze matematycznych. Ma due
moliwoci symbolicznych oblicze na wielomianach, macierzach,
funkcjach wymiernych, cakowania, stosowania metody Todda-Coxetera,
rysowania, oblicze na wielkich liczbach. Posiada symboliczny debugger
kodu rdowego w maximie. Maxima bazuje na oryginalnej Macsyma
utworzonej w MIT w roku 1970. Ma dobr obsug bdw, nie ma wyciekw
pamici. Przychodzi z setkami testw. Od poowy lat 80-tych za rozwj
projektu odpowiada William Schelter z University of Texas. Wicej
informacji na stronie http://www.ma.utexas.edu/maxima.html. Ostatnio
udao mu si uzyska pozwolenie DOE na opublikowanie Maximy na
licencji GPL.

%prep
%setup -q
%patch0 -p1
touch doc/info/maximahtml.mk src/{clisp,cmucl,gcl}-depends.mk

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--enable-clisp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/*
%{_mandir}/man?/*
%{_infodir}/maxima.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maxima.spec,v $
Revision 1.16  2005/10/14 20:44:28  arekm
- rel 4

Revision 1.15  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.14  2005/07/26 01:52:40  undefine
- rel 2 to rebuild with clisp 2.34

Revision 1.13  2004/10/07 10:12:59  qboosh
- BR: unzip for .zip source

Revision 1.12  2004/09/24 11:24:16  gotar
- upgraded to 5.9.1 (use zip, tar.gz file is truncated), added TODOs and Rs

Revision 1.11  2004/06/18 11:11:01  qboosh
- added info patch, register info page; release 4

Revision 1.10  2004/06/15 14:31:10  undefine
- release 3 to rebuild with clisp 2.33.2

Revision 1.9  2004/03/20 16:17:03  gotar
- added desktop file,
- removed R: clisp (there is already requires_eq),
- release 2.

Revision 1.8  2003/07/11 18:46:38  grzegol
- updated to 5.9.0
- cleanups

Revision 1.7  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.5  2002/11/25 18:27:11  undefine
- downgrade to rc2 (rc3 doesn't compile now :/)
- %requires_eq clisp

Revision 1.4  2002/11/21 23:55:56  undefine
- add requires: clisp

Revision 1.3  2002/11/21 13:43:21  undefine
- updated to rc3. STBR

Revision 1.2  2002/10/24 08:44:36  qboosh
- aaaaaa... pl fixes

Revision 1.1  2002/10/23 15:31:49  undefine
- initial pld version

* Mon Sep 16 2002 Lenny Cartier 5.6-1mdk
- from Austin Acton <aacton@yorku.ca> :
- specfile from Rex Dieter <rdieter@unl.edu>
- modify for Mandrake 8.2+
